- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QDebugOverlay
- Qt 6.8.2 Reference Documentation

# QDebugOverlay Class

class Qt3DRender::QDebugOverlay

Enables a visual overlay with scene details. More...

Header: | `#include <QDebugOverlay>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | DebugOverlay
Inherits: | Qt3DRender::QFrameGraphNode
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QDebugOverlay(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

Placing a QDebugOverlay in one branch of a custom framegraph will cause an overlay with scene details to be rendered along with the scene.

The standard QForwardRenderer includes a QDebugOverlay node that can be enabled via the QForwardRenderer::showDebugOverlay property.

## Member Function Documentation

### `[explicit]` QDebugOverlay::QDebugOverlay(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.